### Method

# WebKit WebView evaluate_javascript_finish

#### Declaration [src]

    JSCValue*
    webkit_web_view_evaluate_javascript_finish (
      WebKitWebView* web_view,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_web_view_evaluate_javascript().

Available since: | 2.40

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `JSCValue`
| A `JSCValue` with the result of the last executed statement in script or `NULL` in case of error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.